API endpoint
https://4or.de/api/v1/links
Beispiel Request
curl --location --request GET 'https://4or.de/api/v1/links' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Parameters
search
search_by
title für Title, alias für Alias, url für URL. Standardwert: title
status
0 für Alle, 1 für Aktiv, 2 für Abgelaufen, 3 für Deaktiviert. Standardwert: 0
space_id
domain_id
pixel_id
sort_by
id für Erstellungsdatum, clicks für Klicks, title für Title, alias für Alias, url für URL. Standardwert: id
sort
desc für Absteigend, asc für Aufsteigend. Standardwert: desc
per_page
10, 25, 50, 100. Standardwert: 100
API endpoint
https://4or.de/api/v1/links/{id}
Beispiel Request
curl --location --request GET 'https://4or.de/api/v1/links/{id}' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}'
API endpoint
https://4or.de/api/v1/links
Beispiel Request
curl --location --request POST 'https://4or.de/api/v1/links' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}' \ --data-urlencode 'url={url}' \ --data-urlencode 'domain={id}'
Parameters
url
domain_id
alias
space_id
pixel_ids[]
redirect_password
sensitive_content
0 für Nein, 1 für Ja. Standardwert: 0
privacy
0 für Öffentlich, 1 für Privat, 2 für Passwort. Standardwert: 0
password
privacy auf 2 gesetzt ist.
active_period_start_at
Y-m-dTH:i:s.
active_period_end_at
Y-m-dTH:i:s.
clicks_limit
expiration_url
targets_type
continents für Continents, countries für Countries, operating_systems für Operating systems, browsers für Browsers, languages für Languages, devices für Devices, rotations für Rotations.
targets[index][key]
Für targets_type=country muss der Wert im Format ISO 3166-1 alpha-2 sein.
Für targets_type=operating_systems sind die möglichen Werte: iOS, Android, Windows, OS X, Linux, Ubuntu, Chrome OS.
Für targets_type=browsers sind die möglichen Werte: Chrome, Chromium, Firefox, Firefox Mobile, Edge, Internet Explorer, Mobile Internet Explorer, Vivaldi, Brave, Safari, Opera, Opera Mini, Opera Mobile, Opera Touch, Yandex Browser, UC Browser, Samsung Internet, QQ Browser, BlackBerry Browser, Maxtho.
Für targets_type=devices sind die möglichen Werte: Desktop, Mobile, Tablet, Watch, Television.
Für targets_type=languages muss der Wert im Format ISO 639-1 alpha-2 sein.
Für targets_type=continents sind die möglichen Werte: AF für Africa, AN für Antarctica, AS für Asia, EU für Europe, NA für North America, OC für Oceania, SA für South America.
targets[index][value]
API endpoint
https://4or.de/api/v1/links/{id}
Beispiel Request
curl --location --request PUT 'https://4or.de/api/v1/links/{id}' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}'
Parameters
url
alias
space_id
pixel_ids[]
redirect_password
sensitive_content
0 für Nein, 1 für Ja.
privacy
0 für Öffentlich, 1 für Privat, 2 für Passwort.
password
privacy auf 2 gesetzt ist.
active_period_start_at
Y-m-dTH:i:s.
active_period_end_at
Y-m-dTH:i:s.
clicks_limit
expiration_url
targets_type
continents für Continents, countries für Countries, operating_systems für Operating systems, browsers für Browsers, languages für Languages, devices für Devices, rotations für Rotations.
targets[index][key]
Für targets_type=country muss der Wert im Format ISO 3166-1 alpha-2 sein.
Für targets_type=operating_systems sind die möglichen Werte: iOS, Android, Windows, OS X, Linux, Ubuntu, Chrome OS.
Für targets_type=browsers sind die möglichen Werte: Chrome, Chromium, Firefox, Firefox Mobile, Edge, Internet Explorer, Mobile Internet Explorer, Vivaldi, Brave, Safari, Opera, Opera Mini, Opera Mobile, Opera Touch, Yandex Browser, UC Browser, Samsung Internet, QQ Browser, BlackBerry Browser, Maxtho.
Für targets_type=devices sind die möglichen Werte: Desktop, Mobile, Tablet, Watch, Television.
Für targets_type=languages muss der Wert im Format ISO 639-1 alpha-2 sein.
Für targets_type=continents sind die möglichen Werte: AF für Africa, AN für Antarctica, AS für Asia, EU für Europe, NA für North America, OC für Oceania, SA für South America.
targets[index][value]
API endpoint
https://4or.de/api/v1/links/{id}
Beispiel Request
curl --location --request DELETE 'https://4or.de/api/v1/links/{id}' \ --header 'Authorization: Bearer {api_key}'